Bug 1124623 - filesystem package scripts are buggy
Summary: filesystem package scripts are buggy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: filesystem
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 23:35 UTC by Michal Jaegermann
Modified: 2014-12-06 10:26 UTC (History)
1 user (show)

Fixed In Version: filesystem-3.2-28.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-30 12:53:25 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2014-07-29 23:35:06 UTC
Description of problem:

posttrans scriptlet has the following lines in it:
.....
restorecon /boot 2>dev/null >/dev/null || :
restorecon /proc 2>dev/null >/dev/null || :
restorecon /dev 2>dev/null >/dev/null || :
.....

Redirection "2>dev/null", instead of "2>/dev/null" is not likely to work outside of one specific location. :-)  In fact does complain "line 8: dev/null: No such file or directory" and so on ...

Version-Release number of selected component (if applicable):
filesystem-3.2-28.fc22

Comment 1 Ondrej Vasik 2014-07-30 12:49:55 UTC
Thanks - you are right, bad typos... Will fix that...

Comment 2 Ondrej Vasik 2014-07-30 12:53:25 UTC
Fixed in filesystem-3.2-30.fc22 .

Comment 3 Fedora Update System 2014-11-18 12:55:51 UTC
filesystem-3.2-28.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/filesystem-3.2-28.fc21

Comment 4 Fedora Update System 2014-12-06 10:26:36 UTC
filesystem-3.2-28.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.